	<?php global $mozgaration_global_variables; ?>

	<!-- left side -->
	<?php
		//shadow
		$shadow = get_theme_mod( 'mozgaration_left_side_shadow' ) != "" ? "shadow" : ""; 
	?>		

	<div id="left_side" class="fixed_position scroll classic active <?php echo esc_attr( $shadow ) ?>" data-parallax-effect="<?php echo esc_attr($mozgaration_global_variables["page_left_parallax_effect"]) ?>">
		<!-- left side background --><div class="left-side-background-holder"><div class="left-side-background"></div></div>


		<?php
			//content align
			$side_content_align = get_theme_mod('mozgaration_left_side_content_align' ) == "center" ? ' class="centered-contents"' : ""; 
		?>		
		<!-- side contents -->
		<div id="side_content"<?php echo $side_content_align?> data-position-y="0">

			<?php
			/**
			 * mozgaration_before_logo hook
			 */
			do_action("mozgaration_before_logo"); 
			?>

			<!-- logo -->
			<div id="logo" class="site-logo">
				<?php
				/**
				 * mozgaration_logo hook
				 * @hooked mozgaration_logo_output - 10
				 */
				do_action("mozgaration_logo"); 
				?>
			</div><!-- / end #logo -->

			<?php
			/**
			 * mozgaration_before_navigation hook
			 *
			 * @hooked mozgaration_display_shortcut_buttons - 1
			 */
			do_action("mozgaration_before_navigation"); 
			?>

			
			<?php
			//content align
			$nav_content_align = get_theme_mod( 'mozgaration_nav_item_text_align' ) == "center" ? " centered-nav" : ""; 
		   ?>		
			
			<!-- navigation holder -->
			<div class="navigation_holder side-element<?php echo $nav_content_align?>">

				<!-- navigation holder -->
				<?php
					//call the main navigation
					$custom_main_menu = "";
					if( isset( $post ) && is_singular() ){
						$custom_main_menu = get_post_meta( $post->ID, 'mozgarationtheme_custom_main_menu', true );
					}

					if ( $custom_main_menu != "" ){ // check if the current post has a custom menu

						$menuVars = array(
							'menu'            => $custom_main_menu,
							'menu_id'         => "navigation",
							'class'           => "menu",
							'echo'            => false,
							'container'       => '', 
							'container_class' => '',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'container_id'    => 'navigation_bar', 
							'theme_location'  => 'mozgaration-theme-main-navigation',
							'walker'          => new MOZGARATION_Menu_Class_Walker
						);

					}elseif ( has_nav_menu( 'mozgaration-theme-main-navigation' ) ){ // check if user created a custom menu and assinged to the mozgaration-theme's location

						$menuVars = array(
							'menu_id'         => "navigation",
							'class'           => "menu",
							'echo'            => false,
							'container'       => '', 
							'container_class' => '',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'container_id'    => 'navigation_bar', 
							'theme_location'  => 'mozgaration-theme-main-navigation',
							'walker'          => new MOZGARATION_Menu_Class_Walker
						);
						
					}else{
						
						$menuVars = array(
							'menu'            => __('Main Navigation','mozgaration'),  
							'menu_id'         => "navigation",
							'class'           => "menu",
							'echo'            => false,
							'container'       => '',  
							'container_class' => '' ,
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'container_id'    => 'navigation_bar',  
							'theme_location'  => 'mozgaration-theme-main-navigation',
							'walker'          => new MOZGARATION_Menu_Class_Walker
						);		
					}

					$main_menu=wp_nav_menu($menuVars);
				?>    

				<?php if( ! empty( $main_menu ) ):?>
					<?php echo $main_menu; //wp menu?> 
				<?php endif;?>
					
			</div><!-- / end .navigation_holder -->
	
			<?php
			/**
			 * mozgaration_after_navigation hook
			 *
			 * @hooked mozgaration_display_shortcut_buttons - 1
			 */
			do_action("mozgaration_after_navigation"); 
			?>

            <!-- widgets holder -->
            <div class="widgets_holder side-element sidebar-widgets leftwidget">
    			<?php get_sidebar(); ?>
            </div><!-- / end .widgets_holder -->

			<?php
			/**
			 * mozgaration_after_sidebar_widgets hook
			 */
			do_action("mozgaration_after_sidebar_widgets"); 
			?>



		</div><!-- / end #side_content -->


 	</div><!-- / end #left_side -->










<!-- rightfix side -->

  <?php if( get_theme_mod('mozgaration_rightfix_side_show' ) != ""){ ?>
	<?php }else{ ?>
             <?php $hometexttitle = do_shortcode( get_theme_mod('mozgaration_hometext_title') );?>
             <?php $hometext = do_shortcode( get_theme_mod('mozgaration_hometext') );?>
             <?php $triggertitle1 = do_shortcode( get_theme_mod('mozgaration_trigger_title1') );?>
             <?php $triggertitle2 = do_shortcode( get_theme_mod('mozgaration_trigger_title2') );?>
             <?php $triggertitle3 = do_shortcode( get_theme_mod('mozgaration_trigger_title3') );?>
             <?php $triggertext = do_shortcode( get_theme_mod('mozgaration_triggertext') );?>
             <?php $trigger_price = do_shortcode( get_theme_mod('mozgaration_trigger_price') );?>
	         <?php $trigger_link = do_shortcode( get_theme_mod('mozgaration_trigger_link') );?>
             <?php $trigger_linktitle1 = do_shortcode( get_theme_mod('mozgaration_trigger_link_title1') );?>
			 <?php $trigger_linktitle2 = do_shortcode( get_theme_mod('mozgaration_trigger_link_title2') );?>
			 <?php $trigger_linktitle3 = do_shortcode( get_theme_mod('mozgaration_trigger_link_title3') );?>
			 <?php $trigger_linktitle4 = do_shortcode( get_theme_mod('mozgaration_trigger_link_title4') );?>
			 <?php $trigger_linkbuttontext = do_shortcode( get_theme_mod('mozgaration_trigger_link_button') );?>
			 <?php $trigger_div1text = do_shortcode( get_theme_mod('mozgaration_trigger_div1_text') );?>
             <?php $trigger_div2text = do_shortcode( get_theme_mod('mozgaration_trigger_div2_text') );?>
             <?php $trigger_div3text = do_shortcode( get_theme_mod('mozgaration_trigger_div3_text') );?>	
             <?php $hide_trigger = do_shortcode(get_theme_mod('mozgaration_rightfix_side_trigger_show' ) != "" );?>
			 <?php $circle_content_link = do_shortcode( get_theme_mod('mozgaration_circle_content_link') );?>
             <?php $tc = do_shortcode( get_theme_mod('mozgaration_trigger_currency') );?>
	         <?php $tci = do_shortcode( get_theme_mod('mozgaration_trigger_currency_icon') );?>
	         <?php $tcip = do_shortcode( get_theme_mod('mozgaration_trigger_currency_icon_position') );?>
			 <?php $triger_link1 = do_shortcode( get_theme_mod('mozgaration_trigger_div1_link') );?>
	         <?php $triger_link2 = do_shortcode( get_theme_mod('mozgaration_trigger_div2_link') );?>
			 <?php $triger_link3 = do_shortcode( get_theme_mod('mozgaration_trigger_div3_link') );?>
			 
	    <div id="right-fix" class="stocke1" >
          <div id="section">
               <?php
			   /**
			   * mozgaration_before-short hook
			   *
			   * @hooked mozgaration_display_shortcut_buttons - 1
			   */
			   do_action("before_short"); 
			   ?>
			
		    <div class="hometext">	
		       <?php if( $hometexttitle): ?>
		          <h5><?php echo esc_attr( $hometexttitle ) ?></h5>
		       <?php endif;?>
		
		       <?php if( $hometext): ?>
		          <p><?php echo esc_attr( $hometext ) ?></p>
		       <?php endif;?>
		    </div>	

               <?php
			   /**
			    * mozgaration_after_short hook
			    *
			    * @hooked mozgaration_display_shortcut_buttons - 1
			    * framework/funcions/theme-functions.php line 2564
			   */
			   do_action("after_short"); 
			   ?>
			
          </div>			
			
			
		  <div id="right-fixdiv" class="clearfix">
			 
			  <div class="bg <?php if( $hide_trigger ){ ?><?php }else{ ?>bg_mask <?php }?>">
			  <p class="trigertext1">
			   <?php if( $triger_link1 ){?>
                   <a href="<?php echo esc_url( $triger_link1 ) ?>"><span><?php echo esc_attr( $trigger_div1text ) ?></span></a>
              <?php }else{?>
			  <span><?php echo esc_attr( $trigger_div1text ) ?></span>
			  <?php }?>
			  </p>
			  
			  <p class="trigertext2">
			  <?php if( $triger_link2 ){?>
                   <a href="<?php echo esc_url( $triger_link2 ) ?>"><span><?php echo esc_attr( $trigger_div2text ) ?></span></a>
              <?php }else{?>
			  <span><?php echo esc_attr( $trigger_div2text ) ?></span>
			  <?php }?>
			  </p>
			  <p class="trigertext3">
			  <?php if( $triger_link3 ){?>
                   <a href="<?php echo esc_url( $triger_link3 ) ?>"><span><?php echo esc_attr( $trigger_div3text ) ?></span></a>
              <?php }else{?>
			  <span><?php echo esc_attr( $trigger_div3text ) ?></span>
			  <?php }?>
			  </p>
			</div>
			
		   <?php if( $hide_trigger ){ ?>	
			<?php }else{ ?>
			<div class="first">
                <?php if( $triggertitle1):?>
                   <p class="tit1"><?php echo esc_attr( $triggertitle1 ); ?></p>
                <?php endif;?>

                <?php if( $triggertitle2): ?>
                   <p class="tit2"><?php echo esc_attr( $triggertitle2 ); ?></p>
                <?php endif;?>

                <?php if( $triggertitle3):?>
                   <p class="tit3"><?php echo esc_attr( $triggertitle3 ); ?></p>
                <?php endif;?>	
	
                <?php if( $triggertext):?>
                   <p class="trigtext"><?php echo esc_attr( $triggertext ); ?></p>
                <?php endif; ?>	
	
	             <?php if( $trigger_price):?>
                     <p class="trigprice">
				     <?php if( $tcip == 'before'):?><?php if( $tc):?><span><?php echo esc_attr( $tc ); ?></span><?php endif;?><?php if( $tci != "" ):?><span><i class="<?php echo esc_attr( $tci ); ?>" aria-hidden="true"></i></span><?php endif;?><?php endif;?><?php echo esc_attr( $trigger_price ); ?><?php if( $tcip == 'after'):?><?php if( $tc):?><span><?php echo esc_attr( $tc ); ?></span><?php endif;?><?php if( $tci != ""):?><span><i class="<?php echo esc_attr( $tci ); ?>" aria-hidden="true"></i></span><?php endif;?><?php endif;?> 
				     </p>
                <?php endif;?>
            </div>

			<?php if( $circle_content_link ):?>
                   <a href="<?php echo esc_url( $circle_content_link ) ?>">
            <?php endif;?>
			
            <div class="second">
                <?php if( $trigger_linktitle1):?>
                   <p class="linktitle tit1"><?php echo esc_attr( $trigger_linktitle1 ); ?></p>
                <?php endif;?>
				<?php if( $trigger_linktitle2):?>
                   <p class="linktitle tit2"><?php echo esc_attr( $trigger_linktitle2 ); ?></p>
                <?php endif;?>
				<?php if( $trigger_linktitle3):?>
                   <p class="linktitle tit3"><?php echo esc_attr( $trigger_linktitle3 ); ?></p>
                <?php endif;?>
				<?php if( $trigger_linktitle4):?>
                   <p class="linktitle tit4"><?php echo esc_attr( $trigger_linktitle4 ); ?></p>
                <?php endif;?>

                <?php if( $trigger_link):?>
                   <a href="<?php echo esc_url( $trigger_link ) ?>"><?php echo esc_attr( $trigger_linkbuttontext );?></a>
                <?php endif;?>
            </div>
			
			
			<?php if( $circle_content_link):?>
                   </a>
            <?php endif;?>
			
		   <?php }?>	
         </div>	
			
          <div id="section1" class="widjet-mobil-non fixed_position scroll">
            <div id="section1-content" data-position-y="0">
            <?php get_sidebar(); ?>
            <?php if ( is_active_sidebar( 'sidebar-for-right' ) ) : ?>
            <?php dynamic_sidebar( 'sidebar-for-right' ); ?>
            <?php endif; ?>
           </div>
          </div>
        </div>

 <?php }?>
<!-- / end rightfix side -->

<!-- right side -->
	<div id="right_side" data-scrool-top="">

		<div id="top_bar" class="clearfix">

			<!-- top bar -->
			
				<div class="top_bar_container">    

		 			<!-- mobile logo -->
					<div id="mobile-logo" class="site-logo">

						<!-- mobile menu button -->
						<div class="mobile-menu-button icon-menu"></div>

						<!-- logo holder -->
						<div class="logo-holder">
							<?php
							/**
							 * mozgaration_logo hook
							 * @hooked mozgaration_logo_output - 10
							 */
							do_action("mozgaration_logo"); 
							?>
						</div><!-- / end .logo-holder -->
					</div><!-- / end #mobile-logo -->


				</div><!-- / end div .top_bar_container -->    
			
		</div><!-- / end section #top_bar -->    

		<!-- main contents -->
		<div id="main_content">

		<?php 

			/**
			 * Get sub page header
			 * @hooked mozgaration_sub_page_header_function
			 */
			do_action( "mozgaration_sub_page_header");

		?>

		<?php 		
			/**
			 * Start Content Container
			 * @hooked mozgaration_content_container
			 */	
			do_action("mozgaration_content_container", array("action"=>"start", "echo" => ! mozgaration_is_composer_allowed(), "class" => $mozgaration_global_variables["default_content_row_width"], "overlap" => apply_filters( "mozgaration_content_overlap", false ) ) );
		?>

		<?php 		
			/**
			 * Hooks For Before Main Content
			 */	
			do_action("mozgaration_before_main_content");
		?>		
		
		
		
		
		
		
		
		
		
		