<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
*  Mozgaration theme Services Options
*/
$this->options["mozgaration_services_options"] = array(

	'title' => __("Services Options", "mozgaration"), 
	//'description' => "", 
	'priority' => 4,
	'sections' => array(

						array(
							'id'       => 'misc',
							'title'    => __("Global Layout Options", "mozgaration"), 
							'controls' => array( 
												array(
													"id"          => MOZGARATION_THEMESLUG."_services_layout",															
													"label"       => __("Layout",'mozgaration'),
													"description" => __("Select and set a default column layout for the services category & archive listing pages for each of the (single) post items listed within those pages.",'mozgaration'),
													"choices"     =>  array(
																		"1/6" => "1/6", 
																		"1/4" => "1/4",
																		"1/3" => "1/3",
																		"1/2" => "1/2",
																		"1/1" => "1/1"
															  		),			
													"default"   => "1/2",
													"transport" => "refresh", 
													"type"      => "select"
												),										
												
												array(
													"label"       => __("Item Style",'mozgaration'),
													"description" => __("Select a style for the services item in listing pages & categories.",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_services_item_style",
													"choices"     =>  array(
																		"style-1" => __("Style 1 - Info under the featured image","mozgaration"),						
																		"style-2" => __("Style 2 - Info embedded to the featured image ","mozgaration"),
																	),			
													"default"   => "style-1",
													"transport" => "refresh", 
													"type"      => "select"
												),														
										),
						),							

						array(
							'id'       => 'style',
							'title'    => __("Listing Parameters", "mozgaration"), 
							'controls' => array( 

												array(
													"label"       => __("Amount of services items to show per page",'mozgaration'),
													"description" => __("Set the amount of services items to show per page before pagination kicks in.",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_servf_pager",
													"min"         => "1",
													"max"         => "200",
													"default"     => "9", 
													"type"        => "number",
													"transport"   => "postMessage",
													"input_attrs" => array("min"=>1,"max"=>201)
												),
									
												array(
													"label"       => __("OrderBy Parameter",'mozgaration'),
													"description" => __("Select and set the sorting order for the services items within the services listing pages by this parameter.",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_servf_list_orderby",
													"choices"     => array('author'=>__('Author','mozgaration'),'date'=>__('Date','mozgaration'),'title'=>__('Title','mozgaration'),'modified'=>__('Modified','mozgaration'),'ID'=>__('ID','mozgaration'),'rand'=>__('Randomized','mozgaration')), 
													"default"     => "date",
													"transport"   => "postMessage",
													"type"        => "select"
												),
									
												array(
													"label"       => __("Order",'mozgaration'),
													"description" => __("Select and set the ascending or descending order for the ORDERBY parameter.",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_servf_list_order",
													"choices"     => array('ASC'=>__('Ascending','mozgaration'),'DESC'=>__('Descending','mozgaration')),
													"default"     => "DESC",
													"transport"   => "postMessage",				
													"type"        => "select"
												),

										),
						),		

						array(
							'id'       => 'featured_img',									
							'title'    => __("Featured Images", "mozgaration"), 
							"description" => __('Enable "Image Resize" to resize or crop the featured images automatically. These settings will be used as globaly and you can change for each services post individiually (via edit post screen). <br />
												Please note, since the theme is reponsive the images cannot be wider than the column they are in. Leave these values "0" to use theme defaults.','mozgaration'),

							'controls' => array( 

												array(
													"label"       => __("Image Resize",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_services_image_resize",
													"choices"     =>  array(
																		"false" => __("Disabled","mozgaration"),						
																		"true" => __("Enabled","mozgaration"),
																	),			
													"default"   => "true",
													"transport" => "postMessage", 
													"type"      => "select"
												),		

												array(
													"label"       => __("Featured Image Max Width",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_services_image_width",
													"default"     => 0, 
													"type"        => "number",
													"transport"   => "postMessage",
													"input_attrs" => array("min"=>0,"max"=>3000, "data-depends-id" => MOZGARATION_THEMESLUG."_services_image_resize", "data-depends-values" => "true")
												),


												array(
													"label"       => __("Featured Image Max Height",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_services_image_height",
													"default"     => 0, 
													"type"        => "number",
													"transport"   => "postMessage",
													"input_attrs" => array("min"=>0,"max"=>3000, "data-depends-id" => MOZGARATION_THEMESLUG."_services_image_resize", "data-depends-values" => "true")
												),

												array(
													"label"       => __("Crop Featured Image",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_services_image_crop",
													"default"     => "",
													"transport"   => "postMessage",
													"type"        => "mozgaration_checkbox",
													"input_attrs" => array("data-depends-id" => MOZGARATION_THEMESLUG."_services_image_resize", "data-depends-values" => "true")
												),
									 

										),
						),		


						array(
							'id'       => 'comment',									
							'title'    => __("Comments", "mozgaration"), 
							'controls' => array( 

												array(
													"label"       => __("Enable Commenting",'mozgaration'),
													"description" => __('If enabled your website visitors will be able to leave a comment in the single services item page while viewing that single services page. If enabled in here you can still turn commenting off in the single services item itself by unchecking the comments option in that post in the admin backend. If you don&#39;t see that option you can enable it by clicking on the screen options below the admin name while you are working in the single services item.','mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_services_comments",
													"default"     => "",
													"transport"   => "postMessage",
													"type"        => "checkbox"
												),
									 

										),
						),


				)
);
