<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


/**
 * Mozgaration WooCommerce Options
 */

$this->options["mozgaration_woocommerce_options"] = array(

		'title' => __("WooCommerce Options", "mozgaration"), 
		'description' => "", 
		'priority' => 7,
		'sections' => array(
 

						array(
							'id'       => 'product_lists',									
							'title'    => __("Product Listing Pages", "mozgaration"), 
							"description" => "",

							'controls' => array( 


												array(
													"id"          => "mozgaration_woo_seperator_fi_0",	 
													"label"       => esc_html_x('Global Layout Options','Admin Panel','mozgaration'),		
													"description" => "",
													"type"        => "mozgaration_seperator"
												),


												array(
													"id"          => MOZGARATION_THEMESLUG."_woo_layout",															
													"label"       => __("Layout",'mozgaration'),
													"description" => __("Select and set a default column layout for the product category & archive listing pages for each of the (single) post items listed within those pages.",'mozgaration'),
													"choices"     =>  array(
																		"1/6" => "1/6", 
																		"1/4" => "1/4",
																		"1/3" => "1/3",
																		"1/2" => "1/2",
																		"1/1" => "1/1"
															  		),			
													"default"   => "1/3",
													"transport" => "refresh", 
													"type"      => "select"
												),			

												array(
													"label"       => __("Amount of product items to show per page",'mozgaration'),
													"description" => __("Set the amount of portfolio items to show per page before pagination kicks in.",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_woo_list_pager",
													"min"         => "1",
													"max"         => "200",
													"default"     => "9", 
													"type"        => "number",
													"transport"   => "refresh",
													"input_attrs" => array("min"=>1,"max"=>201),
													"callback"    => array(&$this, 'mozgaration_sanitize_number')
												),

												
												array(
														"label"       => __("Hide Short Description",'mozgaration'), 
														"id"          => MOZGARATION_THEMESLUG."_hide_short_desc",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "checkbox"
													),
													
												array(
														"label"       => __("Hide View Details Button",'mozgaration'), 
														"id"          => MOZGARATION_THEMESLUG."_hide_view_button",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "checkbox"
													),
	                                            
												
												array(
													"id"          => "mozgaration_woo_seperator_fi_1",	 
													"label"       => esc_html_x('Featured Images','Admin Panel','mozgaration'),		
													"description" => __('Enable the "Image Resize" to resize or crop the featured images automatically. These settings will be used as globaly.<br /> Please note, since the theme is reponsive the images cannot be wider than the column they are in. Leave these values "0" to use theme defaults.','mozgaration'),																										
													"type"        => "mozgaration_seperator"
												),



												array(
													"label"       => __("Image Resize",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_woo_image_resize",
													"choices"     =>  array(
																		"false" => __("Disabled","mozgaration"),						
																		"true" => __("Enabled","mozgaration"),
																	),			
													"default"   => "true",
													"transport" => "postMessage", 
													"type"      => "select"
												),		

												array(
													"label"       => __("Featured Image Max Width",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_woo_image_width",
													"default"     => 0, 
													"type"        => "number",
													"transport"   => "postMessage",
													"input_attrs" => array("min"=>0,"max"=>3000, "data-depends-id" => MOZGARATION_THEMESLUG."_woo_image_resize", "data-depends-values" => "true")
												),

												array(
													"label"       => __("Featured Image Max Height",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_woo_image_height",
													"default"     => 0, 
													"type"        => "number",
													"transport"   => "postMessage",
													"input_attrs" => array("min"=>0,"max"=>3000, "data-depends-id" => MOZGARATION_THEMESLUG."_woo_image_resize", "data-depends-values" => "true")
												),

												array(
													"label"       => __("Crop Featured Image",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_woo_image_crop",
													"default"     => "",
													"transport"   => "postMessage",
													"type"        => "mozgaration_checkbox",
													"input_attrs" => array("data-depends-id" => MOZGARATION_THEMESLUG."_woo_image_resize", "data-depends-values" => "true")
												),
									 
                                                
										),
							),		
 	

							array(
								'id'       => 'related',									
								'title'    => __("Single Product Page", "mozgaration"), 
								'controls' => array( 

 													array(
														"id"          => "mozgaration_woo_seperator0",	
														"label"       => "",
														"description" => esc_html_x('Single Product Layout','Admin Panel','mozgaration'),															
														"type"        => "mozgaration_seperator"
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_woo_content_width",															
														"label"       => __("Product Info Width",'mozgaration'),
														"description" => __("Select a width for the content block that contains product title, short info and the images.",'mozgaration'),
														"choices"     =>  array(
																			"1/6" => "1/6",
																			"1/4" => "1/4",
																			"1/3" => "1/3",
																			"1/2" => "1/2",
																			"1/1" => "1/1"
																  		),			
														"default"   => "1/1",
														"transport" => "refresh", 
														"type"      => "select"
													),	
										
													array(
														"label"       => __("Tabular Content Style",'mozgaration'),
														"description" => __('Select a style for the tabular content.','mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_woo_content_style",
														"choices"     =>  array(
																			"1" => __("Stlye 1 - Horizontal Tabs","mozgaration"),
																			"2" => __("Stlye 2 - Left Vertical Tabs","mozgaration"),
																			"3" => __("Stlye 3 - Right Vertical Tabs","mozgaration"),
																  		),			
														"default"   => "1",
														"transport" => "refresh", 
														"type"      => "select"
													),

													array(
														"label"       => __("Hide Share Buttons",'mozgaration'), 
														"id"          => MOZGARATION_THEMESLUG."_hide_woo_share_buttons",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "checkbox"
													),	

 													array(
														"id"          => "mozgaration_woo_seperator1",	
														"label"       => "",
														"description" => esc_html_x('Product Images','Admin Panel','mozgaration'),															
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_woo_image_style",
														"label"       => esc_html_x("Product Image Gallery Style",'Admin Panel','mozgaration'),
														"description" => esc_html_x("Select a gallery style for the product images on the single page.",'Admin Panel','mozgaration'),
														"choices"     =>  array(
																			"" => esc_html_x("Plugin's Default Gallery",'Admin Panel','mozgaration'),
																			"theme" => esc_html_x("Mozgaration Gallery",'Admin Panel','mozgaration'),
																  		),
														"default"   => "default",
														"transport" => "refresh",
														"type"      => "select"
													),


													array(
														"label"       => esc_html_x("Disable Product Image Zoom",'Admin Panel','mozgaration'),
														"description" => "",
														"id"          => MOZGARATION_THEMESLUG."_woo_disable_zoom",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_checkbox",
														"input_attrs" => array("data-depends-id" => MOZGARATION_THEMESLUG."_woo_image_style", "data-depends-values" => "")
													),

 
 													array(
														"label"       => esc_html_x("Disable Lightbox",'Admin Panel','mozgaration'),
														"description" => "",
														"id"          => MOZGARATION_THEMESLUG."_woo_disable_lightbox",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_checkbox",
														"input_attrs" => array("data-depends-id" => MOZGARATION_THEMESLUG."_woo_image_style", "data-depends-values" => "")
													),

 													array(
														"id"          => "mozgaration_woo_seperator2",	
														"label"       => "",
														"description" => esc_html_x('Related Products','Admin Panel','mozgaration'),															
														"type"        => "mozgaration_seperator"
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_woo_related_product_layout",															
														"label"       => __("Layout",'mozgaration'),
														"description" => __("Select and set a default column layout for the related products list.",'mozgaration'),
														"choices"     =>  array(
																			"1/6" => "1/6", 
																			"1/4" => "1/4",
																			"1/3" => "1/3",
																			"1/2" => "1/2",
																			"1/1" => "1/1"
																  		),			
														"default"   => "1/3",
														"transport" => "refresh", 
														"type"      => "select"
													),	
													
													array(
														"label"       => __("Hide Related Products View Details Button",'mozgaration'), 
														"id"          => MOZGARATION_THEMESLUG."_hide_related_view_button",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "checkbox"
													),
													
													array(
														"label"       => __("Hide Related Products Add to Cart Button",'mozgaration'), 
														"id"          => MOZGARATION_THEMESLUG."_hide_related_add_button",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "checkbox"
													),
										
											),
							),		

					)
	);