<?php
/**
 * The template for displaying services categories within loops.
 *
 * @author 		KILIKO
 * 
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $mozgaration_list_atts, $mozgaration_category;

extract( $mozgaration_list_atts );

$tax_meta = get_option( "taxonomy_$mozgaration_category->term_id" );
$cat_image_id = is_array( $tax_meta ) && isset( $tax_meta["services_category_image"] ) && ! empty( $tax_meta["services_category_image"] ) ? $tax_meta["services_category_image"] : "";



$cat_image_url = "";
if( $cat_image_id ){
	$get_cat_image = wp_get_attachment_image_src( $cat_image_id );
	$cat_image_url = is_array( $get_cat_image ) ? $get_cat_image[0] : "";
}

//image max height
$h = $crop == "true" ? $image_max_height : 10000;	

//Thumbnail dimensions
$w = mozgaration_get_min_resize_size( $list_layout );	

// Resize Image
$image_output = get_resized_image_output( array( "image_url" => $cat_image_url , "image_id" => "", "w" => $w, "h" => $h, "crop" => $crop ) ); 



?>

<?php if($items_style == 'style-2'){?>


<div class="services-category <?php echo $icon_align; ?>">
    <?php if($i_bg_c == ""){?>
	    <div class="icon-holders">
		<?php echo "<span class='service_icon ".$tax_meta["services_category_icon"]." ".$icon_size."' ".$icon_color." ".$h_icon_color."></span>";?>
		</div>
		<?php }else{ ?>
		<div class="icon-holder <?php echo $icon_size; ?> <?php echo $icon_style; ?> <?php echo $icon_border; ?>" <?php echo $icon_bg_color;?> <?php echo $h_icon_bg_color;?>>
        <?php echo "<span class='service_icon ".$tax_meta["services_category_icon"]."' ".$icon_color." ".$h_icon_color."></span>";?>
        </div>
		<?php } ?>
    <?php if( $display_titles == "true" || $display_descriptions == "true" ) : ?>
	    <div class="titdesc <?php echo $icon_size; ?> <?php echo $icon_style; ?>">
		<?php if( $display_titles == "true" ) : ?>
		<!-- title-->
		<h2 <?php echo $title_color;?> <?php echo $h_title_color;?> ><?php echo $mozgaration_category->cat_name ?></h2>
		<?php endif;?>

		<!-- text-->
		<?php echo ! empty( $mozgaration_category->description ) && $display_descriptions == "true" ? sprintf( '<p %s %s>%s</p>',$text_color ,$h_text_color , $mozgaration_category->description ) : "" ; ?>
        <a href="<?php echo get_term_link( $mozgaration_category ); ?>" title="<?php echo $mozgaration_category->cat_name ?>" rel="bookmark" class="info button_  color small" <?php echo $button_background_color;?> <?php echo $h_button_background_color;?> ><?php _e('Read More' , 'mozgaration'); ?></a>
	    </div>
	<?php endif;?>
</div>




<?php }else{ ?>

<div class="services-category">

	<?php if( ! empty( $image_output ) && $display_thumbnails == "true" ):?>
		<!-- services image -->
		
				<?php echo $image_output;?>
				
	<?php endif;?>

	<?php if( $display_titles == "true" ) : ?>
		<!-- title-->
		<div class="service_title" <?php echo $title_background_color;?> >
		<?php echo "<span class='service_icon ".$tax_meta["services_category_icon"]."' ".$icon_color." ".$h_icon_color."></span>";?>
		<h4 <?php echo $title_color;?> <?php echo $h_title_color;?> ><?php echo $mozgaration_category->cat_name ?></h4>
		<span class='service_icon_more fa-arrow-right'></span>
	    </div>
	<?php endif;?>
	
	
	<?php if( $display_titles == "true" || $display_descriptions == "true" ) : ?>
	<div class="services_info mask"  <?php echo $background_color;?> <?php echo $h_background_color;?> >

		<?php if( $display_titles == "true" ) : ?>
		<!-- title-->
		<h4 <?php echo $h_title_background_color;?> ><div <?php echo $title_color;?> <?php echo $h_title_color;?> ><?php echo "<span class='service_icon ".$tax_meta["services_category_icon"]."' ".$icon_color." ".$h_icon_color."></span>";?><?php echo $mozgaration_category->cat_name ?></div></h4>
		<?php endif;?>

		<!-- text-->
		<?php echo ! empty( $mozgaration_category->description ) && $display_descriptions == "true" ? sprintf( '<p %s %s>%s</p>',$text_color ,$h_text_color , $mozgaration_category->description ) : "" ; ?>
        <a href="<?php echo get_term_link( $mozgaration_category ); ?>" title="<?php echo $mozgaration_category->cat_name ?>" rel="bookmark" class="info button_  color small" <?php echo $button_background_color;?> <?php echo $h_button_background_color;?> ><?php _e('Read More' , 'mozgaration'); ?></a>
	</div>
	<?php endif;?>
</div>

<?php } ?>

