<?php
/**
 * Single Product Related
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $woo_product_layout;
$woo_product_layout = ($woo_product_layout = get_theme_mod(MOZGARATION_THEMESLUG."_woo_related_product_layout")) ? $woo_product_layout : 3;
$item_width = mozgaration_column_count($woo_product_layout);

if ( $related_products ) : ?>

	<div class="related products margin-t40">
  
		<div class="mozgaration_heading_wrapper style-3">
			<h6 class="mozgaration_heading style-3"><?php esc_html_e( 'Related Products', 'mozgaration' ) ?></h6>
		</div> 
 

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

				<?php
				 	$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					ob_start();

					wc_get_template_part( 'content', 'product-carousel' );

					$output[] .=  ob_get_contents();
					ob_end_clean();

					?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

		<?php
			//carousel atts
			$atts = array(  
				"id"  => "woocommerce-related-carousel", 
				"item_width"  => intval($item_width), 
				"class" => "wc-product-carousel woocommerce",
				"nav" => "true",
				"dots" => "false",
			);

			//create carousel 
			echo mozgaration_create_carousel( $output, $atts );
		?>
	</div>

<?php endif;

wp_reset_postdata();